%define upstream_name    Version-Requirements
%define upstream_version 0.101022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A set of version requirements for a CPAN dist
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Version/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Version::Requirements object models a set of version constraints like
those specified in the _META.yml_ or _META.json_ files in CPAN
distributions. It can be built up by adding more and more constraints, and
it will reduce them to the simplest representation.

Logically impossible constraints will be identified immediately by thrown
exceptions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.101.22-1.mga2
+ Revision: 219812
- update to 0.101022

* Wed Jan 04 2012 jquelin <jquelin> 0.101.21-1.mga2
+ Revision: 190550
- update to 0.101021

* Sat Jan 22 2011 jquelin <jquelin> 0.101.20-1.mga1
+ Revision: 32538
- mageia rebuild
- imported package perl-Version-Requirements

